Name: ca_DOEGrids
Version: 1.11
Release: 1
Source: ca_DOEGrids-1.11.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_DOEGrids-1.11/1c3f2ca8.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority DOEGrids

%if %([ -n "http://www.doegrids.org/" ] && echo 1 || echo 0)
URL: http://www.doegrids.org/
%endif

%if %([ -n "ca_ESnet = 1.11" ] && echo 1 || echo 0)
Requires: ca_ESnet = 1.11
%endif

%prep
%setup -n ca_DOEGrids-1.11

%description
This is the trust anchor for the classic accredited authority DOEGrids.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 1c3f2ca8.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

